Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: virtio-queue
Upstream-Contact: The Chromium OS Authors
Source: https://github.com/rust-vmm/vm-virtio

Files: *
Copyright: FIXME (overlay) UNKNOWN-YEARS The Chromium OS Authors
License: Apache-2.0 or BSD-3-Clause
Comment:
 FIXME (overlay): Since upstream copyright years are not available in
 Cargo.toml, they were extracted from the upstream Git repository. This may not
 be correct information so you should review and fix this before uploading to
 the archive.

Files: benches/main.rs
Copyright: 2020 Amazon.com, Inc. or its affiliates. All Rights Reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: benches/queue/mod.rs
Copyright: 2020 Amazon.com, Inc. or its affiliates. All Rights Reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: src/chain.rs
Copyright:
 2017 The Chromium OS Authors. All rights reserved.
 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 2019 Intel Corporation
 2020-2021 Alibaba Cloud. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: src/defs.rs
Copyright: 2021 Amazon.com, Inc. or its affiliates. All Rights Reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: src/descriptor.rs
Copyright:
 2017 The Chromium OS Authors. All rights reserved.
 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 2019 Intel Corporation
 2020-2021 Alibaba Cloud. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: src/lib.rs
Copyright:
 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 2017 The Chromium OS Authors. All rights reserved.
 2019 Intel Corporation
 2020-2021 Alibaba Cloud. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: src/mock.rs
Copyright: 2020 Amazon.com, Inc. or its affiliates. All Rights Reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: src/queue.rs
Copyright:
 2022 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 2020-2021 Alibaba Cloud. All rights reserved.
 2019 Intel Corporation.
 2017 The Chromium OS Authors. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: src/queue_sync.rs
Copyright: 2021 Alibaba Cloud. All rights reserved.
License: UNKNOWN-LICENSE; FIXME (overlay)
Comment:
 FIXME (overlay): These notices are extracted from files. Please review them
 before uploading to the archive.

Files: debian/*
Copyright:
 2023-2024 Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 2023-2024 Fabian Grünbichler <debian@fabian.gruenbichler.email>
 2023-2024 Michael Tokarev <mjt@tls.msk.ru>
License: Apache-2.0 or BSD-3-Clause

License: Apache-2.0
 Debian systems provide the Apache 2.0 license in
 /usr/share/common-licenses/Apache-2.0

License: BSD-3-Clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
 1. Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.
 .
 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
 .
 3. Neither the name of the copyright holder nor the names of its contributors
 may be used to endorse or promote products derived from this software without
 specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
